com.google.gwt.core.ext.typeinfo

## Interface JMethod

All Superinterfaces:
  HasAnnotations, HasTypeParameters, JAbstractMethod

All Known Subinterfaces:
  JAnnotationMethod

    public interface JMethod
    extends JAbstractMethod

Represents a method declaration.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getReadableDeclaration(boolean noAccess, boolean noNative, boolean noStatic, boolean noFinal, boolean noAbstract)` Returns a `String` representing the source code declaration of this method, containing access modifiers, type parameters, return type, method name, parameter list, and throws.
`JType` `getReturnType()`
`boolean` `isAbstract()`
`boolean` `isFinal()`
`boolean` `isNative()`
`boolean` `isStatic()`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JAbstractMethod

`findParameter, getEnclosingType, getErasedParameterTypes, getJsniSignature, getName, getParameters, getParameterTypes, getReadableDeclaration, getThrows, isAnnotationMethod, isConstructor, isDefaultAccess, isMethod, isPrivate, isProtected, isPublic, isVarArgs`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasTypeParameters

`getTypeParameters`

### Method Detail

#### getReadableDeclaration

    java.lang.String getReadableDeclaration(boolean noAccess,
                                            boolean noNative,
                                            boolean noStatic,
                                            boolean noFinal,
                                            boolean noAbstract)

Returns a `String` representing the source code declaration of this method, containing access modifiers, type parameters, return type, method name, parameter list, and throws. Doesn't include the method body or trailing semicolon.

Parameters:
  `noAccess` - if true, print no access modifiers
  `noNative` - if true, don't print the native modifier
  `noStatic` - if true, don't print the static modifier
  `noFinal` - if true, don't print the final modifier
  `noAbstract` - if true, don't print the abstract modifier

#### getReturnType

    JType getReturnType()

#### isAbstract

    boolean isAbstract()

#### isFinal

    boolean isFinal()

#### isNative

    boolean isNative()

#### isStatic

    boolean isStatic()